/*
 * $Author: alliance $
 * $Id: butsimplify.c,v 1.1.1.1 1998/10/21 16:32:39 alliance Exp $
 * $Date: 1998/10/21 16:32:39 $
 */
/*
 * $Log: butsimplify.c,v $
 * Revision 1.1.1.1  1998/10/21 16:32:39  alliance
 * fpmap import
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  BEH_H
#include  BUT_H

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

ablexpr *
but_simplify(befig_list *befig, ablexpr *abl)
{
	beaux_list *beaux;
	char *atom;
	
	if (!ABL_ATOM(abl))
		return abl;

	atom = ABL_ATOM_VALUE(abl);
	if ((beaux = beh_findbeaux(befig, atom)) == NULL)
		return abl;

	abl = beaux->ABL;
	beaux->ABL = 0;
	befig->BEAUX = beh_delbeaux(befig->BEAUX, beaux, 'Y');
	return but_simplify(befig, abl);
}
