# -*- Mode: Makefile -*-
#
####---------------------------------------------------------###
# description	: Alliance include file for Makefiles
# architecture	: SunOS fusion 5.7 Generic_106541-10 sun4u sparc
# date		: Fri Sep 22 17:04:46 MET DST 2000
# file		: Solaris.mk
#

# The variables $ALLIANCE_* are set by
# alc_env.[c]sh script or libraries.mk

PROGRAM_SUFFIX=

GNU_LIB          = /usr/local/lib
GNU_INCLUDE      = /usr/local/include

X11_LIB          = .  -L/usr/openwin/lib -R/usr/openwin/lib -lsocket  -lnsl  -lSM -lICE
X11_INCLUDE      = .  -I/usr/openwin/include

MOTIF_LIB        = /lib -R /lib
MOTIF_INCLUDE    = /usr/dt/include

XPM_LIB          = -L/usr/X11R6/lib -lXpm
XPM_INCLUDE      = -I/usr/X11R6/include

SHELL		= /asim/gnu/bin/sh
CSH		= /bin/csh
CP		= /asim/gnu/bin/cp
CAT		= /asim/gnu/bin/cat
MV		= /asim/gnu/bin/mv
RM		= /asim/gnu/bin/rm
MKDIR		= /asim/gnu/bin/mkdir
FIND		= /asim/gnu/bin/find
SED		= /asim/gnu/bin/sed
AWK		= /asim/gnu/bin/gawk
TR		= /asim/gnu/bin/tr
TOUCH		= /asim/gnu/bin/touch
STRIP		= /asim/gnu/bin/strip
RANLIB		= /asim/gnu/bin/ranlib

MAKE             = /asim/gnu/bin/gmake
MAKEFLAGS        = 

CC               = /asim/gnu/bin/gcc
CFLAGS           = -O2 -Wall -DSolaris  -DAUTO_HAS_XPM -DAUTO_HAS_SA_RESTART -DAUTO_HAS_DRAND48 -DAUTO_HAS_VALUES_H
CPPFLAGS         = 

YACC             = /asim/gnu/bin/bison
YACCFLAGS        = -y 

LEX              = /asim/gnu/bin/flex
LEXFLAGS         = 

AR               = /asim/gnu/bin/ar
ARFLAGS          = rv

# EOF
