
/*  A Bison parser, made from mips_mips.yac
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define	_ALIGN	257
#define	_ASCII	258
#define	_ASCIIZ	259
#define	_BYTE	260
#define	_BYTEZ	261
#define	_DATA	262
#define	_END	263
#define	_EQU	264
#define	_GLOBAL	265
#define	_ORG	266
#define	_SPACE	267
#define	_SKIP	268
#define	_START	269
#define	_TEXT	270
#define	_WORD	271
#define	Ampersand	272
#define	Bar	273
#define	CarriageReturn	274
#define	Circomflex	275
#define	Codop_rd	276
#define	Codop_rd_rs_rt	277
#define	Codop_rd_rt_sham	278
#define	Codop_rd_rt_rs	279
#define	Codop_rd_rs_imd	280
#define	Codop_rs_rt_labl	281
#define	Codop_od_rs	282
#define	Codop_rs	283
#define	Codop_rd_mem	284
#define	Codop_rt_mem	285
#define	Codop_rt_cp0rd	286
#define	Codop_rs_labl	287
#define	Codop_rd_imd	288
#define	Codop_labl	289
#define	Codop_imd	290
#define	Codop_n	291
#define	Colon	292
#define	Comma	293
#define	CP0Register	294
#define	DoubleGreat	295
#define	DoubleLess	296
#define	Identifier	297
#define	IntegerRegister	298
#define	LeftParen	299
#define	Litteral	300
#define	Macro_n	301
#define	Macro_rd_longi	302
#define	Minus	303
#define	Plus	304
#define	Register	305
#define	RightParen	306
#define	Sharp	307
#define	Slash	308
#define	Star	309
#define	String	310
#define	Tilda	311

#line 10 "mips_mips.yac"

#include <stdio.h>
#include MUT_H
#include LOG_H
#include BEH_H
#include "mips_type.h"
#include "mips_defs.h"
#include "mips_yacc.h"

main (argc, argv)

int   argc   ;
char *argv [];

  {
  extern FILE  *yyin          ;
  extern FILE  *MPS_WRTFIL    ;
  extern FILE  *MPS_TXTFIL    ;
  extern FILE  *MPS_DATFIL    ;
  extern FILE  *MPS_SYMFIL    ;
  FILE         *fp_read       ;
  char          arg_flg [ 32] ;
  unsigned int  txt_siz       = 256;
  unsigned int  dat_siz       =  64;
  int           exit_val      =   1;
  int           asm_fil       =   0;
  int           txt_fil       =   0;
  int           dat_fil       =   0;
  int           i             ;
  char         *symbol_fil    ;
  char          arg_err       =   0;
  static int    call_nbr      =   0;

	/* ###------------------------------------------------------### */
	/*   initializations						*/
	/* ###------------------------------------------------------### */

  alliancebanner ("asm", "v0.3", "MIPS Assembler", "1991...1999", ALC_V);

  mbkenv ();

  for (i=1 ; i<argc ; i++)
    arg_flg [i] = 0;

  if (MPS_HSHTAB == NULL)
    MPS_HSHTAB = beh_initab ();

	/* ###------------------------------------------------------### */
	/*   analyze the command line:					*/
	/*     - for each argument set a flag to 1 if recognized	*/
	/*     - find the last recognized option to identify the source	*/
	/*       and result files					*/
	/* ###------------------------------------------------------### */

  arg_flg [0] = 1;

  for (i=0 ; i<argc ; i++)
    {
    if (arg_flg [i] == 0)
      {
      if (!strcmp (argv[i], "-textsize"))
        {
        sscanf (argv[i+1], "%u", &txt_siz);
        arg_flg [i  ] = 1;
        arg_flg [i+1] = 1;
        }

      if (!strcmp (argv[i], "-datasize"))
        {
        sscanf (argv[i+1], "%u", &dat_siz);
        arg_flg [i  ] = 1;
        arg_flg [i+1] = 1;
        }

      if (!strcmp (argv[i], "-dump"))
        {
        MPS_DUMP      = 'y'       ;
        arg_flg [i]   = 1         ;
        }

      if (!strcmp (argv[i], "-symbol"))
        {
        MPS_SYMBOL    = 'y'       ;
        symbol_fil    = argv [i+1];
        arg_flg [i]   = 1         ;
        arg_flg [i+1] = 1         ;
        }

      }
    }

  for (i=(argc-1) ; i>0 ; i--)
    {
    if (arg_flg [i] == 1)
      break;
    }

  asm_fil       = i + 1;
  arg_flg [i+1] = 1    ;
  txt_fil       = i + 2;
  arg_flg [i+2] = 1    ;

  if ((i+3) < argc)
    {
    dat_fil       = i + 3;
    arg_flg [i+3] = 1    ;
    }


	/* ###------------------------------------------------------### */
	/*   cases of errors on the command line:			*/
	/*     - a unrecognized argument				*/
	/*     - not enough arguments					*/
	/*     - too many arguments					*/
	/* ###------------------------------------------------------### */

  if ((argc > 11) || (argc < 3))
    arg_err = 1;

  for (i=0 ; i<argc ; i++)
    {
    if (arg_flg [i] == 0)
      arg_err = 1;
    }

  if (arg_err == 1)
    {
    mips_error (101, NULL);
    exit (1);
    }

	/* ###------------------------------------------------------### */
	/*   open source file (assembly) and result files (vhdl)	*/
	/* ###------------------------------------------------------### */

  if ((fp_read = fopen (argv [asm_fil], "r")) == NULL)
    {
    mips_error (100, argv [asm_fil]);
    exit (1);
    }

  if (MPS_DUMP != 'y')
    {
    if ((MPS_TXTFIL = mbkfopen (argv[txt_fil], "vbe", WRITE_TEXT)) == NULL)
      {
      mips_error (100, argv [txt_fil]);
      exit (1);
      }

    if (dat_fil != 0)
      {
      if ((MPS_DATFIL = mbkfopen (argv[dat_fil], "vbe", WRITE_TEXT)) == NULL)
        {
        mips_error (100, argv [dat_fil]);
        exit (1);
        }
      }
    }
  else
    {
    if ((MPS_TXTFIL = fopen (argv[txt_fil], "w")) == NULL)
      {
      mips_error (100, argv [txt_fil]);
      exit (1);
      }
    if (dat_fil != 0)
      {
      if ((MPS_DATFIL = fopen (argv[txt_fil], "w")) == NULL)
        {
        mips_error (100, argv [dat_fil]);
        exit (1);
        }
      }
    }

  if (MPS_SYMBOL == 'y')
    {
    if ((MPS_SYMFIL = fopen (symbol_fil, "w")) == NULL)
      {
      mips_error (100, symbol_fil);
      exit (1);
      }
    }

	/* ###------------------------------------------------------### */
	/*   compute the length (number of bits) of the text address.	*/
	/* The address is a word (4 bytes) address			*/
	/* ###------------------------------------------------------### */

  txt_siz = (txt_siz >> 2) - 1;
  while (txt_siz != 0)
    {
    txt_siz = txt_siz >> 1;
    MPS_TXTSIZ ++;
    }

	/* ###------------------------------------------------------### */
	/*   compute the length (number of bits) of the data address	*/
	/* ###------------------------------------------------------### */

  dat_siz -= 1;
  while (dat_siz != 0)
    {
    dat_siz = dat_siz >> 1;
    MPS_DATSIZ ++;
    }

	/* ###------------------------------------------------------### */
	/*   call the assembly file parser (two passes):		*/
	/*	- set the address space (by default) to text		*/
	/*      - in the first pass identify labels			*/
	/*      - if no error has been found print the result files'	*/
	/*        header						*/
	/*      - translate insstructions in the second pass		*/
	/*      - print the result files' foot				*/
	/* ###------------------------------------------------------### */

  MPS_ADRSPC = 'T'       ;
  MPS_ADDRES = MPS_TXTADR;
  MPS_WRTFIL = MPS_TXTFIL;
  MPS_ADRSIZ = MPS_TXTSIZ;
  MPS_WRDSIZ = 4         ;

  MPS_PASNBR = 1  ;

  if (call_nbr != 0)
    yyrestart (yyin);

  yyin = fp_read;
  yyparse ();

  call_nbr++;

  if (MPS_ERRFLG == 0)
    {
    fclose (fp_read);
    fp_read = fopen (argv [asm_fil], "r");
    yyin    = fp_read;

    MPS_ADRSPC = 'T';
    MPS_ADDRES = MPS_TXTADR;
    MPS_WRTFIL = MPS_TXTFIL;
    MPS_ADRSIZ = MPS_TXTSIZ;
    MPS_WRDSIZ = 4;

    MPS_PASNBR = 2  ;
    MPS_LINNUM = 1  ;

    if (MPS_DUMP != 'y')
      {
      mips_head (MPS_TXTFIL, argv [txt_fil], MPS_TXTSIZ, 4);
      if (MPS_DATFIL != NULL)
        mips_head (MPS_DATFIL, argv [dat_fil], MPS_DATSIZ, 1);
      }

    yyrestart (yyin);
    yyparse ();

    if (MPS_DUMP != 'y')
      {
      mips_foot (MPS_TXTFIL, 4);
      if (MPS_DATFIL != NULL)
        mips_foot (MPS_DATFIL, 1);
      }

    exit_val = 0;

    }

	/* ###------------------------------------------------------### */
	/*   close source and result files				*/
	/* ###------------------------------------------------------### */

  fclose (fp_read);
  fclose (MPS_TXTFIL);

  if (MPS_DATFIL != NULL)
    fclose (MPS_DATFIL);

  if (MPS_SYMBOL == 'y')
    fclose (MPS_SYMFIL);

  exit (exit_val);
  }


#line 297 "mips_mips.yac"
typedef union
  {
  unsigned long  valu;
  struct immd    immd;
  char          *text;
  } YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		222
#define	YYFLAG		-32768
#define	YYNTBASE	58

#define YYTRANSLATE(x) ((unsigned)(x) <= 311 ? yytranslate[x] : 124)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     3,     5,     6,     9,    13,    16,    19,    20,    23,
    24,    26,    28,    30,    32,    34,    36,    38,    40,    42,
    45,    48,    51,    54,    57,    59,    61,    63,    65,    67,
    69,    71,    74,    77,    80,    83,    84,    86,    89,    92,
    95,    98,   101,   105,   107,   109,   111,   113,   115,   117,
   119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
   139,   141,   148,   155,   160,   163,   166,   171,   174,   182,
   190,   198,   206,   213,   218,   223,   227,   230,   232,   233,
   235,   237,   239,   244,   246,   248,   249,   251,   253,   255,
   257,   259,   261,   265,   269,   273,   277,   281,   285,   287,
   289,   291,   293,   297,   302,   307,   309,   311,   313,   315,
   317,   319,   321,   324,   327,   329,   332,   335,   337,   339,
   341,   343,   345,   347,   349,   351,   353,   354,   357
};

static const short yyrhs[] = {    59,
    75,     0,    60,     0,     0,    60,    61,     0,    62,    63,
   123,     0,    70,   123,     0,     1,   123,     0,     0,   121,
    38,     0,     0,    64,     0,    82,     0,    65,     0,    66,
     0,    67,     0,    68,     0,    69,     0,    79,     0,    78,
     0,    17,   106,     0,     6,   106,     0,     7,   106,     0,
     4,    56,     0,     5,    56,     0,    74,     0,    71,     0,
    81,     0,    73,     0,    80,     0,    77,     0,    72,     0,
     8,   105,     0,    16,   105,     0,    11,   121,     0,     3,
    46,     0,     0,    76,     0,     9,   122,     0,    15,   121,
     0,    13,    46,     0,    14,    46,     0,    12,   106,     0,
    43,    10,   106,     0,    83,     0,   101,     0,    99,     0,
    98,     0,    97,     0,    96,     0,    95,     0,    94,     0,
    92,     0,    93,     0,    90,     0,    91,     0,    87,     0,
    88,     0,    89,     0,    84,     0,    85,     0,    86,     0,
    23,   117,    39,   118,    39,   118,     0,    25,   117,    39,
   118,    39,   118,     0,    32,   119,    39,   120,     0,    22,
   117,     0,    28,   118,     0,    28,   117,    39,   118,     0,
    29,   118,     0,    26,   117,    39,   118,    39,   100,   106,
     0,    24,   117,    39,   118,    39,   100,   106,     0,    30,
   117,    39,   104,    45,   118,    52,     0,    31,   118,    39,
   104,    45,   118,    52,     0,    27,   118,    39,   118,    39,
   106,     0,    33,   118,    39,   106,     0,    34,   117,    39,
   106,     0,    36,   100,   106,     0,    35,   106,     0,    37,
     0,     0,    53,     0,   102,     0,   103,     0,    48,   117,
    39,   106,     0,    47,     0,   106,     0,     0,   106,     0,
   107,     0,   108,     0,   109,     0,   110,     0,   113,     0,
   107,   115,   113,     0,   113,   112,   113,     0,   108,    55,
   113,     0,   113,   114,   113,     0,   109,   114,   113,     0,
   113,   111,   113,     0,    42,     0,    41,     0,    55,     0,
    54,     0,    45,   106,    52,     0,    57,    45,   106,    52,
     0,    49,    45,   106,    52,     0,   116,     0,    19,     0,
    18,     0,    21,     0,    50,     0,    49,     0,    46,     0,
    49,    46,     0,    57,    46,     0,    43,     0,    49,    43,
     0,    57,    43,     0,    44,     0,    51,     0,    44,     0,
    51,     0,    44,     0,    51,     0,    40,     0,    51,     0,
    43,     0,     0,   122,   123,     0,    20,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   415,   420,   424,   425,   430,   433,   435,   440,   441,   466,
   467,   477,   490,   492,   494,   496,   498,   500,   505,   513,
   527,   542,   560,   573,   592,   593,   594,   595,   596,   597,
   598,   602,   634,   666,   671,   698,   699,   703,   708,   713,
   721,   729,   744,   774,   776,   781,   783,   785,   787,   789,
   791,   793,   795,   797,   799,   801,   803,   805,   807,   809,
   811,   816,   837,   858,   877,   894,   908,   927,   944,   969,
   994,  1019,  1044,  1076,  1106,  1128,  1149,  1177,  1193,  1194,
  1198,  1200,  1205,  1243,  1264,  1269,  1274,  1279,  1281,  1283,
  1285,  1290,  1292,  1314,  1333,  1352,  1375,  1401,  1423,  1425,
  1430,  1432,  1437,  1443,  1451,  1459,  1464,  1466,  1468,  1473,
  1475,  1480,  1485,  1491,  1497,  1505,  1514,  1526,  1528,  1533,
  1535,  1540,  1542,  1547,  1549,  1554,  1559,  1560,  1565
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","_ALIGN",
"_ASCII","_ASCIIZ","_BYTE","_BYTEZ","_DATA","_END","_EQU","_GLOBAL","_ORG","_SPACE",
"_SKIP","_START","_TEXT","_WORD","Ampersand","Bar","CarriageReturn","Circomflex",
"Codop_rd","Codop_rd_rs_rt","Codop_rd_rt_sham","Codop_rd_rt_rs","Codop_rd_rs_imd",
"Codop_rs_rt_labl","Codop_od_rs","Codop_rs","Codop_rd_mem","Codop_rt_mem","Codop_rt_cp0rd",
"Codop_rs_labl","Codop_rd_imd","Codop_labl","Codop_imd","Codop_n","Colon","Comma",
"CP0Register","DoubleGreat","DoubleLess","Identifier","IntegerRegister","LeftParen",
"Litteral","Macro_n","Macro_rd_longi","Minus","Plus","Register","RightParen",
"Sharp","Slash","Star","String","Tilda","mips_assembly_prog","assembly_instructions",
"..an_assembly_instruction..","an_assembly_instruction",".a_label.",".unlabeled_assembly_instruction.",
"mem_alloc_directive","word_alloc","byte_alloc","bytez_alloc","ascii_alloc",
"asciiz_alloc","unlabeled_pseudo_instruction","data_pseudo_inst","text_pseudo_inst",
"global_pseudo_inst","align_pseudo_inst",".end_pseudo_inst.","end_pseudo_inst",
"start_pseudo_inst","space_pseudo_inst","skip_pseudo_inst","org_pseudo_inst",
"equ_pseudo_inst","effective_instruction","mips_instruction","format_rd_rs_rt",
"format_rd_rt_rs","format_rt_cp0rd","format_rd","format_od_rs","format_rs","format_rd_rs_imd",
"format_rd_rt_sham","format_rd_mem","format_rt_mem","format_rs_rt_labl","format_rs_labl",
"format_rd_imd","format_imd","format_labl","format_n",".sharp.","macro_instruction",
"macro_ri","macro_n","offset",".immediate.","immediate","expr..addop__expr..",
"expr__mulop__expr..mulop__expr..","expr__logop__expr..logop__expr..","expr__shfop__expr",
"shift_operator","mul_div_operator","expression","logical_operator","adding_operator",
"term","destination_register","source_register","integer_register","cp0_reg",
"label","..CR..","CarriageReturn_ERR", NULL
};
#endif

static const short yyr1[] = {     0,
    58,    59,    60,    60,    61,    61,    61,    62,    62,    63,
    63,    63,    64,    64,    64,    64,    64,    64,    64,    65,
    66,    67,    68,    69,    70,    70,    70,    70,    70,    70,
    70,    71,    72,    73,    74,    75,    75,    76,    77,    78,
    79,    80,    81,    82,    82,    83,    83,    83,    83,    83,
    83,    83,    83,    83,    83,    83,    83,    83,    83,    83,
    83,    84,    85,    86,    87,    88,    88,    89,    90,    91,
    92,    93,    94,    95,    96,    97,    98,    99,   100,   100,
   101,   101,   102,   103,   104,   105,   105,   106,   106,   106,
   106,   107,   107,   108,   108,   109,   109,   110,   111,   111,
   112,   112,   113,   113,   113,   113,   114,   114,   114,   115,
   115,   116,   116,   116,   116,   116,   116,   117,   117,   118,
   118,   119,   119,   120,   120,   121,   122,   122,   123
};

static const short yyr2[] = {     0,
     2,     1,     0,     2,     3,     2,     2,     0,     2,     0,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
     2,     2,     2,     2,     1,     1,     1,     1,     1,     1,
     1,     2,     2,     2,     2,     0,     1,     2,     2,     2,
     2,     2,     3,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     6,     6,     4,     2,     2,     4,     2,     7,     7,
     7,     7,     6,     4,     4,     3,     2,     1,     0,     1,
     1,     1,     4,     1,     1,     0,     1,     1,     1,     1,
     1,     1,     3,     3,     3,     3,     3,     3,     1,     1,
     1,     1,     3,     4,     4,     1,     1,     1,     1,     1,
     1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     0,     2,     1
};

static const short yydefact[] = {     3,
    36,     0,   127,     1,    37,     0,     0,    86,     0,     0,
     0,    86,   126,     4,    10,     0,    26,    31,    28,    25,
    30,    29,    27,     0,    38,   129,     7,    35,   115,     0,
   112,     0,     0,    32,    87,    88,    89,    90,    91,    92,
   106,   126,    34,    42,    39,    33,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,    79,    78,
    84,     0,     0,    11,    13,    14,    15,    16,    17,    19,
    18,    12,    44,    59,    60,    61,    56,    57,    58,    54,
    55,    52,    53,    51,    50,    49,    48,    47,    46,    45,
    81,    82,     6,     9,   128,     0,   116,     0,   113,   117,
     0,   114,   111,   110,     0,     0,   108,   107,   109,     0,
   100,    99,   102,   101,     0,     0,     0,    43,    23,    24,
    21,    22,    40,    41,    20,   118,   119,    65,     0,     0,
     0,     0,   120,   121,     0,   118,   119,     0,    66,    68,
     0,     0,   122,   123,     0,     0,     0,    77,    80,     0,
     0,     5,   103,     0,     0,    93,    95,    97,    98,    94,
    96,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    76,     0,   105,   104,     0,     0,     0,     0,
     0,    67,     0,    85,     0,   124,   125,    64,    74,    75,
    83,     0,    79,     0,    79,     0,     0,     0,    62,     0,
    63,     0,    73,     0,     0,    70,    69,    71,    72,     0,
     0,     0
};

static const short yydefgoto[] = {   220,
     1,     2,    14,    15,    73,    74,    75,    76,    77,    78,
    79,    16,    17,    18,    19,    20,     4,     5,    21,    80,
    81,    22,    23,    82,    83,    84,    85,    86,    87,    88,
    89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
    99,   160,   100,   101,   102,   193,    34,    35,    36,    37,
    38,    39,   125,   126,    40,   120,   115,    41,   138,   145,
   155,   198,    24,    25,    27
};

static const short yypact[] = {-32768,
     0,   203,-32768,-32768,-32768,    -6,    -4,   -38,   -18,   -38,
   -18,   -38,    19,-32768,    42,    -6,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,    -2,    -6,-32768,-32768,-32768,-32768,   -38,
-32768,    49,    54,-32768,-32768,     4,    -5,    84,-32768,    -3,
-32768,-32768,-32768,-32768,-32768,-32768,   -38,     1,     6,   -38,
   -38,    38,    40,   -38,   -34,   -34,   -34,   -34,   -34,   -21,
   -17,   -21,   -34,   -21,   -16,   -21,   -34,   -38,    35,-32768,
-32768,   -34,    -6,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,    41,-32768,   -38,-32768,-32768,
   -38,-32768,-32768,-32768,   -38,   -38,-32768,-32768,-32768,   -38,
-32768,-32768,-32768,-32768,   -38,   -38,   -38,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    65,    67,
    68,    69,-32768,-32768,    70,    90,    91,    79,-32768,-32768,
    80,    81,-32768,-32768,    82,    83,    85,-32768,-32768,   -38,
    86,-32768,-32768,    71,    74,-32768,-32768,-32768,-32768,-32768,
-32768,   -21,   -21,   -21,   -21,   -21,   -21,   -38,   -38,   -27,
   -38,   -38,-32768,   -38,-32768,-32768,    88,    89,    92,    93,
    94,-32768,    95,-32768,    96,-32768,-32768,-32768,-32768,-32768,
-32768,   -21,    35,   -21,    35,   -38,   -21,   -21,-32768,   -38,
-32768,   -38,-32768,    77,    78,-32768,-32768,-32768,-32768,   134,
   135,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,  -160,-32768,-32768,-32768,   -43,   125,   -10,-32768,-32768,
-32768,-32768,-32768,-32768,   -94,    98,-32768,-32768,    24,   -60,
-32768,-32768,    52,-32768,   -13
};


#define	YYLAST		251


static const short yytable[] = {    44,
   149,   150,   103,   152,    29,   156,    30,    31,     3,   136,
    32,   105,   196,    26,   117,   118,   137,   119,    33,   106,
   166,   167,   143,   197,    42,   168,   146,   153,    47,   144,
   169,   170,   171,   147,   154,   104,   128,   121,   122,   131,
   132,    28,   210,   135,   212,    48,    49,    50,    51,   116,
   123,   124,   113,   114,    52,    53,   129,   158,    54,   162,
    43,   130,    45,    55,    56,    57,    58,    59,    60,    61,
    62,    63,    64,    65,    66,    67,    68,    69,    70,   139,
   140,   141,   142,   133,   148,   134,   151,   159,    71,    72,
   157,   107,   163,   108,   109,   161,   110,   164,   111,   112,
   165,   117,   118,   172,   119,   173,   174,   175,   176,  -120,
  -121,   187,   188,   189,   190,   191,   192,   177,   178,   179,
   180,   181,   185,   182,   184,   186,   202,   203,   218,   219,
   204,   205,   206,   221,   222,   195,    46,   127,     0,   207,
   208,   209,     0,   211,     0,     0,   214,   215,     0,   183,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   194,   194,     0,
   199,   200,     0,   201,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,   213,     0,     0,     0,   216,
     0,   217,    -2,     6,     0,     7,    -8,    -8,    -8,    -8,
     8,    -2,     0,     9,    10,    -8,    -8,    11,    12,    -8,
     0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
     0,     0,     0,     0,     0,    13,     0,     0,     0,    -8,
    -8
};

static const short yycheck[] = {    10,
    61,    62,    16,    64,    43,    66,    45,    46,     9,    44,
    49,    25,    40,    20,    18,    19,    51,    21,    57,    30,
   115,   116,    44,    51,    43,   120,    44,    44,    10,    51,
   125,   126,   127,    51,    51,    38,    47,    41,    42,    50,
    51,    46,   203,    54,   205,     4,     5,     6,     7,    55,
    54,    55,    49,    50,    13,    14,    56,    68,    17,    73,
     9,    56,    11,    22,    23,    24,    25,    26,    27,    28,
    29,    30,    31,    32,    33,    34,    35,    36,    37,    56,
    57,    58,    59,    46,    61,    46,    63,    53,    47,    48,
    67,    43,    52,    45,    46,    72,    43,   108,    45,    46,
   111,    18,    19,    39,    21,    39,    39,    39,    39,    20,
    20,   172,   173,   174,   175,   176,   177,    39,    39,    39,
    39,    39,    52,    39,    39,    52,    39,    39,    52,    52,
    39,    39,    39,     0,     0,   179,    12,    40,    -1,    45,
    45,   202,    -1,   204,    -1,    -1,   207,   208,    -1,   160,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
   181,   182,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,   210,
    -1,   212,     0,     1,    -1,     3,     4,     5,     6,     7,
     8,     9,    -1,    11,    12,    13,    14,    15,    16,    17,
    -1,    -1,    20,    -1,    22,    23,    24,    25,    26,    27,
    28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,    -1,    47,
    48
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/freeware/share/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/freeware/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 9:
#line 443 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   in the first pass, check that the label is unique.	*/
		/* Save its address in the dictionary and flag it as a	*/
		/* label.						*/
		/* ###----------------------------------------------### */

		if (MPS_PASNBR == 1)
		  {
		  if (beh_chktab (MPS_HSHTAB, yyvsp[-1].text, NULL, 0) == 0)
		    {
		    beh_addtab (MPS_HSHTAB, yyvsp[-1].text, NULL, 0, 'l'       );
		    beh_addtab (MPS_HSHTAB, yyvsp[-1].text, NULL, 7, MPS_ADDRES);
		    if (MPS_SYMBOL == 'y')
		      mips_symbol (yyvsp[-1].text);
		    }
		  else
		    mips_error (3, NULL);
		  }
		;
    break;}
case 11:
#line 468 "mips_mips.yac"
{
		if ((MPS_PASNBR == 2) && (yyvsp[0].immd.flag == 0))
		  mips_error (4, NULL);

		if (MPS_PASNBR == 2)
		  mips_print (yyvsp[0].immd.valu);

		MPS_ADDRES += yyvsp[0].immd.valu;
		;
    break;}
case 12:
#line 478 "mips_mips.yac"
{
		if ((MPS_PASNBR == 2) && (yyvsp[0].immd.flag == 0))
		  mips_error (4, NULL);

		if (MPS_PASNBR == 2)
		  mips_print (yyvsp[0].immd.valu);

		MPS_ADDRES += yyvsp[0].immd.valu;
		;
    break;}
case 13:
#line 491 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 14:
#line 493 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 15:
#line 495 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 16:
#line 497 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 17:
#line 499 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 18:
#line 501 "mips_mips.yac"
{
		yyval.immd.valu = 0  ;
		yyval.immd.flag = 'n';
		;
    break;}
case 19:
#line 506 "mips_mips.yac"
{
		yyval.immd.valu = 0  ;
		yyval.immd.flag = 'n';
		;
    break;}
case 20:
#line 515 "mips_mips.yac"
{
		MPS_BYTTAB [3] = yyvsp[0].immd.valu >> 24;
		MPS_BYTTAB [2] = yyvsp[0].immd.valu >> 16;
		MPS_BYTTAB [1] = yyvsp[0].immd.valu >>  8;
		MPS_BYTTAB [0] = yyvsp[0].immd.valu      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 21:
#line 529 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   initialize a byte address with a value		*/
		/* ###----------------------------------------------### */

		MPS_BYTTAB [0] = yyvsp[0].immd.valu;

		yyval.immd.valu = 1      ;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 22:
#line 544 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   initialize a byte table with zeros			*/
		/* ###----------------------------------------------### */

		unsigned int i;

		for (i=0; i<yyvsp[0].immd.valu ; i++)
		  MPS_BYTTAB [i] = 0x00;

		yyval.immd.valu = yyvsp[0].immd.valu;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 23:
#line 562 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   initialize a set of addresses with a string	*/
		/* ###----------------------------------------------### */

		yyval.immd.valu = mips_strtobin (yyvsp[0].text, MPS_BYTTAB);
		yyval.immd.flag = 'n';
		;
    break;}
case 24:
#line 575 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   initialize a set of addresses with a string	*/
		/* followed by a null character				*/
		/* ###----------------------------------------------### */

		unsigned int size;

		size = mips_strtobin (yyvsp[0].text, MPS_BYTTAB);
		MPS_BYTTAB [size] = '\0';

		yyval.immd.valu = size + 1;
		yyval.immd.flag = 'n';
		;
    break;}
case 32:
#line 604 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   if the current region is the 'text region', switch	*/
		/* to the 'data region'.				*/
		/*   if an address is defined, set the current data	*/
		/* address.						*/
		/* ###----------------------------------------------### */

		if (MPS_ADRSPC == 'T')
		  {
		  MPS_TXTADR = MPS_ADDRES;

		  MPS_ADDRES = MPS_DATADR;
		  MPS_WRTFIL = MPS_DATFIL;
		  MPS_ADRSIZ = MPS_DATSIZ;
		  MPS_WRDSIZ =  1 ;
		  MPS_ADRSPC = 'D';
		  }

		if (yyvsp[0].immd.flag == 'i')
		  MPS_ADDRES = yyvsp[0].immd.valu;
		else
		  {
		  if (yyvsp[0].immd.flag != 'n')
		    mips_error (4, NULL);
		  }
		;
    break;}
case 33:
#line 636 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   if the current region is the 'data region', switch	*/
		/* to the 'text region'.				*/
		/*   if an address is defined, set the current data	*/
		/* address.						*/
		/* ###----------------------------------------------### */

		if (MPS_ADRSPC == 'D')
		  {
		  MPS_DATADR = MPS_ADDRES;

		  MPS_ADDRES = MPS_TXTADR;
		  MPS_WRTFIL = MPS_TXTFIL;
		  MPS_ADRSIZ = MPS_TXTSIZ;
		  MPS_WRDSIZ = 4;
		  MPS_ADRSPC = 'T';
		  }

		if (yyvsp[0].immd.flag == 'i')
		  MPS_ADDRES = yyvsp[0].immd.valu;
		else
		  {
		  if (yyvsp[0].immd.flag != 'n')
		    mips_error (4, NULL);
		  }
		;
    break;}
case 35:
#line 673 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   align the current address				*/
		/* ###----------------------------------------------### */

		switch (yyvsp[0].valu)
		  {
		  case 1:
		    break;
		  case 2:
		    MPS_ADDRES = (MPS_ADDRES + 1) & 0xfffffffe;
		    break;
		  case 4:
		    MPS_ADDRES = (MPS_ADDRES + 3) & 0xfffffffc;
		    break;
		  case 8:
		    MPS_ADDRES = (MPS_ADDRES + 7) & 0xfffffff8;
		    break;
		  default:
		    mips_error (4, NULL);
		  }
		;
    break;}
case 40:
#line 715 "mips_mips.yac"
{
		MPS_ADDRES += yyvsp[0].valu;
		;
    break;}
case 41:
#line 723 "mips_mips.yac"
{
		MPS_ADDRES += yyvsp[0].valu;
		;
    break;}
case 42:
#line 731 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   define the first address (must be an immediate)	*/
		/* ###----------------------------------------------### */

		if (yyvsp[0].immd.flag == 'i')
		  MPS_ADDRES = yyvsp[0].immd.valu;
		else
		  mips_error (4, NULL);
		;
    break;}
case 43:
#line 747 "mips_mips.yac"
{
		/* ###----------------------------------------------### */
		/*   in the first pass, check that the identifier has	*/
		/* not been defined ealier.				*/
		/*   Save its value in the dictionary and flag it as	*/
		/* an immediate.					*/
		/* ###----------------------------------------------### */

		if (MPS_PASNBR == 1)
		  {
		  if (yyvsp[0].immd.flag == 'i')
		    {
		    if (beh_chktab (MPS_HSHTAB, yyvsp[-2].text, NULL, 0) == 0)
		      {
		      beh_addtab (MPS_HSHTAB, yyvsp[-2].text, NULL, 0, 'i'    );
		      beh_addtab (MPS_HSHTAB, yyvsp[-2].text, NULL, 7, yyvsp[0].immd.valu);
		      }
		    else
		      mips_error (3, NULL);
		    }
		  else
		    mips_error (4, NULL);
		  }
		;
    break;}
case 44:
#line 775 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 45:
#line 777 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 46:
#line 782 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 47:
#line 784 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 48:
#line 786 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 49:
#line 788 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 50:
#line 790 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 51:
#line 792 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 52:
#line 794 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 53:
#line 796 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 54:
#line 798 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 55:
#line 800 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 56:
#line 802 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 57:
#line 804 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 58:
#line 806 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 59:
#line 808 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 60:
#line 810 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 61:
#line 812 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 62:
#line 822 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-5].valu | (yyvsp[-2].valu << 21) | (yyvsp[0].valu << 16) | (yyvsp[-4].valu << 11);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 63:
#line 843 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-5].valu | (yyvsp[0].valu << 21) | (yyvsp[-2].valu << 16) | (yyvsp[-4].valu << 11);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4  ;
		yyval.immd.flag = 'n';
		;
    break;}
case 64:
#line 862 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-3].valu | (yyvsp[-2].valu << 16) | (yyvsp[0].valu << 11);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4  ;
		yyval.immd.flag = 'n';
		;
    break;}
case 65:
#line 879 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-1].valu | (yyvsp[0].valu << 11);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 66:
#line 896 "mips_mips.yac"
{
		unsigned long inst = 0x0000f800;

		inst           |= yyvsp[-1].valu | (yyvsp[0].valu << 21);
		MPS_BYTTAB [3]  = inst >> 24;
		MPS_BYTTAB [2]  = inst >> 16;
		MPS_BYTTAB [1]  = inst >>  8;
		MPS_BYTTAB [0]  = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 67:
#line 912 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-3].valu | (yyvsp[0].valu << 21) | (yyvsp[-2].valu << 11);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 68:
#line 929 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[-1].valu | (yyvsp[0].valu << 21);
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 69:
#line 951 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000ffff & yyvsp[0].immd.valu;
		inst = yyvsp[-6].valu | (yyvsp[-3].valu << 21) | (yyvsp[-5].valu << 16) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 70:
#line 976 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000001f & yyvsp[0].immd.valu;
		inst = yyvsp[-6].valu | (yyvsp[-3].valu << 16) | (yyvsp[-5].valu << 11) | (imd << 6);

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 71:
#line 1001 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000ffff & yyvsp[-3].immd.valu;
		inst = yyvsp[-6].valu | (yyvsp[-1].valu << 21) | (yyvsp[-5].valu << 16) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[-3].immd.flag;
		;
    break;}
case 72:
#line 1026 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000ffff & yyvsp[-3].immd.valu;
		inst = yyvsp[-6].valu | (yyvsp[-1].valu << 21) | (yyvsp[-5].valu << 16) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[-3].immd.flag;
		;
    break;}
case 73:
#line 1050 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		if (yyvsp[0].immd.flag == 'l')
		  imd = yyvsp[0].immd.valu - MPS_ADDRES - 4;
		else
		  {
		  if (MPS_PASNBR == 2)
		    mips_error (4, NULL);
		  }

		imd  = 0x0000ffff & (imd >> 2);
		inst = yyvsp[-5].valu | (yyvsp[-4].valu << 21) | (yyvsp[-2].valu << 16) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4      ;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 74:
#line 1080 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		if (yyvsp[0].immd.flag == 'l')
		  imd = yyvsp[0].immd.valu - MPS_ADDRES - 4;
		else
		  {
		  if (MPS_PASNBR == 2)
		    mips_error (4, NULL);
		  }

		imd  = 0x0000ffff & (imd >> 2);
		inst = yyvsp[-3].valu | (yyvsp[-2].valu << 21) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 75:
#line 1110 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000ffff & yyvsp[0].immd.valu;
		inst = yyvsp[-3].valu | (yyvsp[-2].valu << 16) | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 76:
#line 1131 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd  = 0x0000ffff & yyvsp[0].immd.valu;
		inst = yyvsp[-2].valu | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 77:
#line 1151 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		imd = yyvsp[0].immd.valu;
/*--------
		if ($2.flag == 'l')
		  imd = $2.valu - MPS_ADDRES - 4;
		else
		  imd = $2.valu;
----------*/

		imd  = 0x03ffffff & (imd >> 2);
		inst = yyvsp[-1].valu | imd;

		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = yyvsp[0].immd.flag;
		;
    break;}
case 78:
#line 1178 "mips_mips.yac"
{
		unsigned long inst = 0;

		inst           = yyvsp[0].valu;
		MPS_BYTTAB [3] = inst >> 24;
		MPS_BYTTAB [2] = inst >> 16;
		MPS_BYTTAB [1] = inst >>  8;
		MPS_BYTTAB [0] = inst      ;

		yyval.immd.valu = 4;
		yyval.immd.flag = 'n';
		;
    break;}
case 81:
#line 1199 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 82:
#line 1201 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 83:
#line 1209 "mips_mips.yac"
{
		unsigned long imd  = 0;
		unsigned long inst = 0;

		switch (yyvsp[-3].valu)
		  {
		  case _LOADI :
		    imd  = 0x0000ffff & (yyvsp[0].immd.valu >> 16);
		    inst = _LUI | (yyvsp[-2].valu << 16) | imd;

		    MPS_BYTTAB [3] = inst >> 24;
		    MPS_BYTTAB [2] = inst >> 16;
		    MPS_BYTTAB [1] = inst >>  8;
		    MPS_BYTTAB [0] = inst      ;

		    imd  = 0x0000ffff & yyvsp[0].immd.valu;
		    inst = _ORI | (yyvsp[-2].valu << 21) | (yyvsp[-2].valu << 16) | imd;

		    MPS_BYTTAB [7] = inst >> 24;
		    MPS_BYTTAB [6] = inst >> 16;
		    MPS_BYTTAB [5] = inst >>  8;
		    MPS_BYTTAB [4] = inst      ;

		    yyval.immd.valu = 8;
		    yyval.immd.flag = yyvsp[0].immd.flag;
		    break;

		  default:
		    mips_error (5, NULL);
		  }
		;
    break;}
case 84:
#line 1244 "mips_mips.yac"
{
		switch (yyvsp[0].valu)
		  {
		  case _NOP :
		    MPS_BYTTAB [3] = 0x00;
		    MPS_BYTTAB [2] = 0x00;
		    MPS_BYTTAB [1] = 0x00;
		    MPS_BYTTAB [0] = 0x21;

		    yyval.immd.valu = 4;
		    yyval.immd.flag = 'n';
		    break;

		  default:
		    mips_error (5, NULL);
		  }
		;
    break;}
case 85:
#line 1265 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 86:
#line 1270 "mips_mips.yac"
{
		yyval.immd.valu = 0  ;
		yyval.immd.flag = 'n';
		;
    break;}
case 87:
#line 1275 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 88:
#line 1280 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 89:
#line 1282 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 90:
#line 1284 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 91:
#line 1286 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 92:
#line 1291 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 93:
#line 1295 "mips_mips.yac"
{
		if (yyvsp[-1].valu == MPS_PLSDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu + yyvsp[0].immd.valu;
		else
		  yyval.immd.valu = yyvsp[-2].immd.valu - yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 94:
#line 1317 "mips_mips.yac"
{
		if (yyvsp[-1].valu == MPS_MULDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu * yyvsp[0].immd.valu;
		else
		  yyval.immd.valu = yyvsp[-2].immd.valu / yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 95:
#line 1336 "mips_mips.yac"
{
		yyval.immd.valu = yyvsp[-2].immd.valu * yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 96:
#line 1355 "mips_mips.yac"
{
		if (yyvsp[-1].valu == MPS_ORDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu | yyvsp[0].immd.valu;

		if (yyvsp[-1].valu == MPS_ANDDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu & yyvsp[0].immd.valu;

		if (yyvsp[-1].valu == MPS_XORDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu ^ yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 97:
#line 1378 "mips_mips.yac"
{
		if (yyvsp[-1].valu == MPS_ORDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu | yyvsp[0].immd.valu;

		if (yyvsp[-1].valu == MPS_ANDDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu & yyvsp[0].immd.valu;

		if (yyvsp[-1].valu == MPS_XORDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu ^ yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 98:
#line 1404 "mips_mips.yac"
{
		if (yyvsp[-1].valu == MPS_SHLDFN)
		  yyval.immd.valu = yyvsp[-2].immd.valu << yyvsp[0].immd.valu;
		else
		  yyval.immd.valu = yyvsp[-2].immd.valu >> yyvsp[0].immd.valu;

		if ((yyvsp[-2].immd.flag == 0) || (yyvsp[0].immd.flag == 0))
		  yyval.immd.flag = 0;
		else
		  {
		  if ((yyvsp[-2].immd.flag == 'l') || (yyvsp[0].immd.flag == 'l'))
		    yyval.immd.flag = 'l';
		  else
		    yyval.immd.flag = 'i';
		  }
		;
    break;}
case 99:
#line 1424 "mips_mips.yac"
{ yyval.valu = MPS_SHLDFN; ;
    break;}
case 100:
#line 1426 "mips_mips.yac"
{ yyval.valu = MPS_SHRDFN; ;
    break;}
case 101:
#line 1431 "mips_mips.yac"
{ yyval.valu = MPS_MULDFN; ;
    break;}
case 102:
#line 1433 "mips_mips.yac"
{ yyval.valu = MPS_DIVDFN; ;
    break;}
case 103:
#line 1440 "mips_mips.yac"
{
		yyval.immd = yyvsp[-1].immd;
		;
    break;}
case 104:
#line 1447 "mips_mips.yac"
{
		yyval.immd.valu = ~ (yyvsp[-1].immd.valu);
		yyval.immd.flag = yyvsp[-1].immd.flag;
		;
    break;}
case 105:
#line 1455 "mips_mips.yac"
{
		yyval.immd.valu = - yyvsp[-1].immd.valu;
		yyval.immd.flag = yyvsp[-1].immd.flag;
		;
    break;}
case 106:
#line 1460 "mips_mips.yac"
{ yyval.immd = yyvsp[0].immd; ;
    break;}
case 107:
#line 1465 "mips_mips.yac"
{ yyval.valu = MPS_ORDFN;  ;
    break;}
case 108:
#line 1467 "mips_mips.yac"
{ yyval.valu = MPS_ANDDFN; ;
    break;}
case 109:
#line 1469 "mips_mips.yac"
{ yyval.valu = MPS_XORDFN; ;
    break;}
case 110:
#line 1474 "mips_mips.yac"
{ yyval.valu = MPS_PLSDFN; ;
    break;}
case 111:
#line 1476 "mips_mips.yac"
{ yyval.valu = MPS_MNSDFN; ;
    break;}
case 112:
#line 1481 "mips_mips.yac"
{
		yyval.immd.valu = yyvsp[0].valu;
		yyval.immd.flag = 'i';
		;
    break;}
case 113:
#line 1487 "mips_mips.yac"
{
		yyval.immd.valu = - yyvsp[0].valu;
		yyval.immd.flag = 'i';
		;
    break;}
case 114:
#line 1493 "mips_mips.yac"
{
		yyval.immd.valu = ~ yyvsp[0].valu;
		yyval.immd.flag = 'i';
		;
    break;}
case 115:
#line 1498 "mips_mips.yac"
{
		unsigned long imd;

		imd     = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 7);
		yyval.immd.valu = imd;
		yyval.immd.flag = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 0);
		;
    break;}
case 116:
#line 1507 "mips_mips.yac"
{
		unsigned long imd;

		imd     = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 7);
		yyval.immd.valu = -imd;
		yyval.immd.flag = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 0);
		;
    break;}
case 117:
#line 1516 "mips_mips.yac"
{
		unsigned long imd;

		imd     = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 7);
		yyval.immd.valu = ~imd;
		yyval.immd.flag = beh_chktab (MPS_HSHTAB, yyvsp[0].text, NULL, 0);
		;
    break;}
case 118:
#line 1527 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 119:
#line 1529 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 120:
#line 1534 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 121:
#line 1536 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 122:
#line 1541 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 123:
#line 1543 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 124:
#line 1548 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 125:
#line 1550 "mips_mips.yac"
{ yyval.valu = yyvsp[0].valu; ;
    break;}
case 126:
#line 1555 "mips_mips.yac"
{ yyval.text = yyvsp[0].text; ;
    break;}
case 129:
#line 1566 "mips_mips.yac"
{ yyerrok; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/freeware/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1568 "mips_mips.yac"


/* ###--------------------------------------------------------------### */
/* function	: mips_error						*/
/* description	: print an error message				*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void mips_error (code, str)

int   code;
char *str;

  {
  MPS_ERRFLG = 1;
  if (code <100)
    fprintf (stderr,"Error %d near line %d : ",code, MPS_LINNUM);

  switch (code)
    {
    case 2:
      fprintf (stderr, "missing label\n");
      break;
    case 3:
      fprintf (stderr, "redefinition of label\n");
      break;
    case 4:
      fprintf (stderr, "undifined string\n");
      break;
    case 5:
      fprintf (stderr, "parse error\n");
      break;
    case 6:
      fprintf (stderr, "no output file has been specified\n");
      break;
    case 100:
      fprintf (stderr, "cannot open file `%s`\n",str);
      break;
    case 101:
      fprintf (stderr, "usage: mips_asm [<options>] <assembly_file> <vhdl_file> <vhdl_file>\n");
      break;
    }
  }

/* ###--------------------------------------------------------------### */
/* function	: yyerror						*/
/* description	: print yacc error messages				*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

yyerror (str)

char *str;

  {
  MPS_ERRFLG = 1;
  fprintf (stderr, "line %d : %s\n",MPS_LINNUM, str);
  }

/* ###--------------------------------------------------------------### */
/* function	: mips_foot						*/
/* description	: print the head lines of the behavioural description	*/
/*		  of a ROM. The 'address size' defines the number of	*/
/*		  bits of the address, the 'word size' defines the size	*/
/*		  of the rom line in bytes and the 'name' specifies the	*/
/*		  name of the Entity.					*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void mips_head (fp, name, adr_siz, wrd_siz)

FILE         *fp;
char         *name;
unsigned int  adr_siz;
unsigned int  wrd_siz;

  {
  adr_siz --;
  wrd_siz = (wrd_siz * 8) - 1;

  fprintf (fp, "entity %s is\n  port (\n", name);
  fprintf (fp, "    address : in  bit_vector (%u downto 0);\n", adr_siz);
  fprintf (fp, "    e_n     : in  bit;\n");
  fprintf (fp, "    data    : out mux_vector (%u downto 0) bus;\n", wrd_siz);
  fprintf (fp, "    vdd     : in bit;\n");
  fprintf (fp, "    vss     : in bit);\nend %s;\n\n",name);
  fprintf (fp, "architecture VBE of %s is\n\n", name);
  fprintf (fp, "  signal rom_out : bit_vector (%u downto 0);\n\n", wrd_siz);
  fprintf (fp, "begin\n\n");
  fprintf (fp, "  write_out : block (e_n = '0')\n  begin\n");
  fprintf (fp, "    data <= guarded rom_out;\n  end block;\n\n");
  fprintf (fp, "  with address (%u downto 0) select\n  rom_out <=\n", adr_siz);
  }

/* ###--------------------------------------------------------------### */
/* function	: mips_foot						*/
/* description	: print the foot lines of the behavioural description	*/
/*		  of a ROM. The 'word size' defines the size of the	*/
/*		  rom line in bytes.					*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void mips_foot (fp, wrd_siz)

FILE         *fp     ;
unsigned int  wrd_siz;

  {
  unsigned int i;

  fprintf (fp, "          X\"");

  for (i=0 ; i<wrd_siz ; i++)
    fprintf (fp, "00");

  fprintf (fp, "\" when others;\n\nend;\n");
  }

/* ###--------------------------------------------------------------### */
/* function	: mips_print						*/
/* description	: print one or several lines of the rom content. the	*/
/*		  global variable 'word size' defines the size of the	*/
/*		  rom line in bytes.					*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void mips_print (byte_nbr)

int byte_nbr;

  {
  unsigned int  i    ;
  unsigned int  j    ;
  unsigned long adr  ;
  unsigned long mask ;
  char          binadr [36];

  if (MPS_WRTFIL == NULL)
    {
    mips_error (6, NULL);
    exit (1);
    }
  else
    {
    if (byte_nbr != 0)
      {
      if (MPS_DUMP == 'y')
        {
        adr = MPS_ADDRES;
        for (i=0 ; i<byte_nbr ; i++)
          fprintf (MPS_WRTFIL, "%.8x : %.2x\n", adr+i, MPS_BYTTAB [i]);
        }
      else
        {
        if (MPS_WRDSIZ == 4)
          adr = MPS_ADDRES >> 2;
        else
          adr = MPS_ADDRES;

        for (i=0 ; i<byte_nbr ; i += MPS_WRDSIZ)
          {
          fprintf (MPS_WRTFIL, "          X\"");

          for (j=0 ; j<MPS_WRDSIZ ; j++)
            fprintf (MPS_WRTFIL, "%.2x", MPS_BYTTAB [i+MPS_WRDSIZ-j-1]);

          mask = 0x00000001 << (MPS_ADRSIZ - 1);
          for (j=0 ; j<MPS_ADRSIZ ; j++)
            {
            if ((adr & mask) != 0)
              binadr [j] = '1';
            else
              binadr [j] = '0';
            mask = mask >> 1;
            }
          binadr [j] = '\0';

          fprintf (MPS_WRTFIL, "\" when B\"%s\",\n", binadr);
          adr++;
          }
        }
      }
    }
  }

/* ###--------------------------------------------------------------### */
/* function	: mips_symbol						*/
/* description	: print out the location (in text or data region) of a	*/
/*		  symbol						*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void mips_symbol (str)

char *str;
  {
  char *seg;

  if (MPS_ADRSPC == 'T')
    seg = "text";
  else
    seg = "data";

  fprintf (MPS_SYMFIL, "%s\t: location %x in %s segment\n", str,
           MPS_ADDRES, seg);
  }

/* ###--------------------------------------------------------------### */
/* function	: mips_strtobin						*/
/* description	: make a binary  ? from a string			*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static int mips_strtobin (str, tab)

char *str;
char *tab;

  {
  int  i  = 1;
  int  j  = 0;

  while (str [i] != '\0')
    {
    tab [j] = str [i];
    i++;
    if (str[i-1] == '\\')
      {
      if ((str [i] <= '7') && (str [i] >= '0'))
        {
        tab [j] = str [i] - '0';
        i++;
        if ((str [i] <= '7') && (str [i] >= '0'))
          {
          tab [j] = (tab [j] * 8) + (str [i] - '0');
          i++;
          if ((str [i] <= '7') && (str [i] >= '0'))
            tab [j] = (tab [j] * 8) + (str [i] - '0');
          }
        }
      else
        {
        if (str [i] == '"')
          {
          tab [j] = str [i];
          i++;
          }
        }
      }

    j++;
    }

  return (j-1);
  }
