/*
 * $Author: alliance $
 * $Id: fpm_time.c,v 1.1.1.1 1998/10/21 16:32:41 alliance Exp $
 * $Date: 1998/10/21 16:32:41 $
 */
/*
 * $Log: fpm_time.c,v $
 * Revision 1.1.1.1  1998/10/21 16:32:41  alliance
 * fpmap import
 *
 * Revision 1.2  1998/02/11 17:34:36  ac
 * fpmap version 0.62
 *
 * Revision 1.1  1997/11/14 11:49:46  ac
 * Initial revision
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  BEH_H
#include "fpmap.h"

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

#ifndef CLK_TCK
# ifdef _SC_CLK_TCK
#  define CLK_TCK _SC_CLK_TCK
# else
#  define CLK_TCK 100
# endif
#endif

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

void fpmstats()
{
    struct rusage	rusage;
    char		hostname[257];
    float		User;
    float		Sys;
    float		Total;

    /* Get the hostname */
    (void) gethostname(hostname, 256);
    hostname[256] = '\0';               /* just in case */

    /* Get usage stats */
    (void) getrusage(RUSAGE_SELF, &rusage);
    User  = rusage.ru_utime.tv_sec + rusage.ru_utime.tv_usec / 1.0e6;
    Sys   = rusage.ru_stime.tv_sec + rusage.ru_stime.tv_usec / 1.0e6;
    Total = User + Sys;
	    
    printf( "\n * Statistics\n" );
    printf( "   - Hostname    : %s\n", hostname);
    printf( "   - elapsed time: %.2f sec (%.2f sec user %.2f sec system)\n",
		    Total, User, Sys );
}
