/*
 * $Author: ac $
 * $Id: xnf100.h,v 1.2 1999/05/18 15:39:12 ac Exp $
 * $Date: 1999/05/18 15:39:12 $
 */
/*
 * $Log: xnf100.h,v $
 * Revision 1.2  1999/05/18 15:39:12  ac
 * Bug fix in the xnf driver.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:42  alliance
 * fpmap import
 *
 */

# ifndef xnf100_h
# define xnf100_h

/*----------------------------------------------------------------------*/
/*                           Nested includes                            */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

# ifndef __P
#   ifdef __STDC__
#     define __P(args)	args
#   else
#     define __P(args)	()
#   endif
# endif

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                         Function prototypes                          */
/*----------------------------------------------------------------------*/

extern void xnf_prolog	__P(( FILE *fp, char *comment ));
extern void xnf_epilog	__P(( FILE *fp ));
extern void xnf_ext	__P(( FILE *fp, char *name, int direction ));
extern void xnf_ibuf	__P(( FILE *fp, char *pad, char *blknm ));
extern void xnf_bufg	__P(( FILE *fp, char *pad, char *in, char *blknm ));
extern void xnf_obuf	__P(( FILE *fp, char *pad, char *out, char *blknm ));
extern void xnf_obuft	__P(( FILE *fp, char *pad, char *out, char *tri, char *blknm ));
extern void xnf_dff	__P(( FILE *fp, char *val, char *cnd, char *clk, char *reg, char *blknm ));
extern void xnf_eqn	__P(( FILE *fp, chain_list *equate, char *name ));
extern void xnf_fmap	__P(( FILE *fp, chain_list *equate, char *name, char *blknm ));
extern void xnf_hmap	__P(( FILE *fp, chain_list *equate, char *name, char *blknm ));
extern void xnf_tbuf	__P(( FILE *fp, char *val, char *cnd, char *name ));

extern char	*xnf_signal_name __P((void));
	
extern void	xnf_check __P(( befig_list *BehFigure, int IobMode ));
extern void	xnf_drive __P(( befig_list *BehFigure, int IobMode ));

# endif /* xnf100_h */
