
/*  A Bison parser, made from prb_parser.yac
    by GNU Bison version 1.28  */

#define PRB_YYBISON 1  /* Identify Bison output.  */

#define	Comma	257
#define	Colon	258
#define	Equal	259
#define	Pipe	260
#define	Semicolon	261
#define	Dot	262
#define	Pof0	263
#define	Pof1	264
#define	PofX	265
#define	LeftParen	266
#define	RightParen	267
#define	Identifier	268
#define	DEFAULT	269
#define	_IN	270
#define	_OUT	271
#define	_INOUT	272
#define	_TRISTATE	273
#define	_TRANSC	274
#define	_PORT	275
#define	_SIGNAL	276
#define	_ASSERT	277
#define	_REGISTER	278
#define	_CLOCK	279
#define	REGACCESS	280
#define	TOSCAN	281
#define	UNSCAN	282
#define	DENSITY	283
#define	TO	284
#define	DOWNTO	285
#define	AbstractLit	286
#define	Float	287
#define	UnknownChar	288

#line 11 "prb_parser.yac"


#include <stdio.h>
#include <strings.h>
#include MUT_H
#include PRB_H
#include "prb_defs.h"
#include "prb_tab.h"


/* ###--------------------------------------------------------------### */
/* 			 defines					*/
/* 			 static variables declaration			*/
/* 			 externals					*/
/* ###--------------------------------------------------------------### */

#define			 	 DEF_PRB_NODENS	     0
#define			 	 DEF_PRB_OKDENS	     1
#define			 	 DEF_PRB_NODISC	     0
#define			 	 DEF_PRB_OKDISC	     1
#define			 	 DEF_PRB_NAMERROR    0 
#define			 	 DEF_PRB_NAMEOK      1 
#define			 	 DEF_PRB_TO          1 
#define			 	 DEF_PRB_DOWNTO      0 

#define				 DEF_PRB_HTSIZE      97

static ht                       *PT_HASH          = NULL;
static char                     *PRB_NAM_TAB [30];
static short                     PRB_NAM_IDX      = 0;

static struct prbseq		*PRB_SEQPNT      = NULL;
static struct prbevt		*PRB_EVTPNT      = NULL;
static struct prbino		*PRB_INOPNT      = NULL;
static struct prbini		*PRB_INIPNT      = NULL;

static char	 		 DEFAULT_PRB_REGS = DEF_PRB_UNSCAN;
static float	 		 DEFAULT_PRB_PROB = 0.5;
static float	 		 DEFAULT_PRB_DENS = 0.0;
static float	 		 DEFAULT_PRB_DISC = 0.0;

static char			 ERR_FLG       = 0;

int 		 	 	 prb_yylex();
extern int		 	 PRB_LINNUM;

/* ###--------------------------------------------------------------### */
/* function     : prb_pshnam                                            */
/* description  : push a name on the PRB_NAM_TAB stack to build a        */
/*                hierarchical name                                     */
/* called func. : none                                                  */
/* ###--------------------------------------------------------------### */

static void prb_pshnam (str)

char *str;

  {
  if (PRB_NAM_IDX > 30)
    {
    ERR_FLG += prb_error (114, NULL, 0,0, ' ', PRB_LINNUM);
    }
  else
    {
    PRB_NAM_TAB [PRB_NAM_IDX] = str;
    PRB_NAM_IDX++;
    }
  }


/* ###--------------------------------------------------------------### */
/* function	: prb_yyerror						*/
/* description	: print an error message (errors detected by yacc)	*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

static void prb_yyerror (str)

char *str;
  {
  ERR_FLG += prb_error (104, str, 0.0, ' ', PRB_LINNUM);
  }

/* ###--------------------------------------------------------------### */
/* function	: prb_parser						*/
/* description	: parse a file in prb format and return a PRSEQ		*/
/* called func.	: prb_yyparse,prb_addprbseq					*/
/* ###--------------------------------------------------------------### */

struct prbseq *prb_parser (fp, name)

FILE		*fp;
char 		*name;

  {
  extern FILE *prb_yyin ;
  static int   call_nbr = 0;

	/* ###------------------------------------------------------### */
	/*	hash tab and stack allocation				*/
	/* ###------------------------------------------------------### */

  prb_yyin = fp;
  creattab ();
  PT_HASH = addht (DEF_PRB_HTSIZE);

	/* ###------------------------------------------------------### */
	/*	structure and variables initialization			*/
	/* ###------------------------------------------------------### */

  PRB_NAM_TAB [30] = NULL;
  PRB_NAM_IDX      = 0;

  ERR_FLG          = 0;

  PRB_SEQPNT       = prb_addprbseq (name);
  PRB_EVTPNT       = NULL;
  PRB_INOPNT       = NULL;
  PRB_INIPNT       = NULL;

  DEFAULT_PRB_REGS = PRB_SEQPNT->SCANVAL;
  DEFAULT_PRB_DENS = PRB_SEQPNT->DENSVAL;
  DEFAULT_PRB_PROB = PRB_SEQPNT->PROBVAL;
  DEFAULT_PRB_DISC = PRB_SEQPNT->DISCVAL;

  PRB_LINNUM           = 1;

	/* ###------------------------------------------------------### */
	/*	parsing and return structure preparation		*/
	/* ###------------------------------------------------------### */
  if (call_nbr != 0)
    prb_yyrestart (prb_yyin);
  call_nbr++;

  prb_yyparse ();
  
  PRB_SEQPNT->PRBEVT     = (struct prbevt *)reverse (PRB_EVTPNT);
  PRB_SEQPNT->PRBINO     = (struct prbino *)reverse (PRB_INOPNT);
  PRB_SEQPNT->PRBINI     = (struct prbini *)reverse (PRB_INIPNT);
  PRB_SEQPNT->SCANVAL 	 = DEFAULT_PRB_REGS ;
  PRB_SEQPNT->DENSVAL 	 = DEFAULT_PRB_DENS ;
  PRB_SEQPNT->PROBVAL 	 = DEFAULT_PRB_PROB ;
  PRB_SEQPNT->DISCVAL    = DEFAULT_PRB_DISC ;

  if (ERR_FLG == 0)
    PRB_SEQPNT->ERRFLG = 0;
  else
    PRB_SEQPNT->ERRFLG = 1;

	/* ###------------------------------------------------------### */
	/*	hash tab and stack disallocation			*/
	/* ###------------------------------------------------------### */
  freetab ();
  delht (PT_HASH);

	/* ###------------------------------------------------------### */
	/*	function end						*/
	/* ###------------------------------------------------------### */
  return (PRB_SEQPNT);
  }


#line 174 "prb_parser.yac"
typedef union
  {
  int           valu;
  char		immd;
  float         fvalu;
  char         *text;
  flag_fval     ffval;
  } PRB_YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	PRB_YYFINAL		85
#define	PRB_YYFLAG		-32768
#define	PRB_YYNTBASE	35

#define PRB_YYTRANSLATE(x) ((unsigned)(x) <= 288 ? prb_yytranslate[x] : 63)

static const char prb_yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34
};

#if PRB_YYDEBUG != 0
static const short prb_yyprhs[] = {     0,
     0,     3,     5,     7,     9,    12,    16,    18,    20,    22,
    24,    28,    30,    32,    34,    36,    38,    41,    49,    51,
    53,    54,    57,    58,    61,    66,    68,    70,    74,    76,
    78,    80,    82,    87,    94,    97,    98,   102,   104,   106,
   110,   114,   118,   122,   124,   126,   128,   130,   132,   134,
   136,   138,   140,   142,   144
};

static const short prb_yyrhs[] = {    36,
    43,     0,    36,     0,    43,     0,    37,     0,    36,    37,
     0,    15,    38,     7,     0,    39,     0,    40,     0,    41,
     0,    42,     0,    26,     5,    62,     0,    57,     0,    58,
     0,    60,     0,    59,     0,    44,     0,    43,    44,     0,
    61,    48,     4,    45,    46,    47,     7,     0,    57,     0,
    58,     0,     0,     6,    60,     0,     0,     6,    59,     0,
    54,    12,    49,    13,     0,    50,     0,    50,     0,    49,
     3,    50,     0,    51,     0,    52,     0,    53,     0,    54,
     0,    54,    12,    32,    13,     0,    54,    12,    32,    56,
    32,    13,     0,    14,    55,     0,     0,    55,     8,    14,
     0,    30,     0,    31,     0,    10,     5,    33,     0,     9,
     5,    33,     0,    11,     5,    33,     0,    29,     5,    33,
     0,    16,     0,    17,     0,    18,     0,    19,     0,    20,
     0,    21,     0,    22,     0,    23,     0,    24,     0,    25,
     0,    27,     0,    28,     0
};

#endif

#if PRB_YYDEBUG != 0
static const short prb_yyrline[] = { 0,
   247,   248,   249,   257,   258,   262,   266,   267,   268,   269,
   273,   278,   285,   296,   306,   320,   321,   325,   376,   378,
   383,   385,   393,   395,   407,   417,   422,   424,   436,   438,
   440,   445,   464,   494,   538,   556,   557,   564,   566,   575,
   580,   585,   590,   595,   597,   599,   601,   603,   605,   607,
   609,   611,   613,   618,   620
};
#endif


#if PRB_YYDEBUG != 0 || defined (PRB_YYERROR_VERBOSE)

static const char * const prb_yytname[] = {   "$","error","$undefined.","Comma",
"Colon","Equal","Pipe","Semicolon","Dot","Pof0","Pof1","PofX","LeftParen","RightParen",
"Identifier","DEFAULT","_IN","_OUT","_INOUT","_TRISTATE","_TRANSC","_PORT","_SIGNAL",
"_ASSERT","_REGISTER","_CLOCK","REGACCESS","TOSCAN","UNSCAN","DENSITY","TO",
"DOWNTO","AbstractLit","Float","UnknownChar","prb_format_file","default_list",
"default_block","set_property","reg_property","prob_property","dens_property",
"disc_property","entry_list","entry_block","proba_","option_density","option_disconnect",
"name_u","name_list","name","simple_name","indexed_name","slice_name","Identifier...Identifier..",
"...Identifier..","direction","proba_1","proba_0","disconnect","density","mode_entry",
"scannability", NULL
};
#endif

static const short prb_yyr1[] = {     0,
    35,    35,    35,    36,    36,    37,    38,    38,    38,    38,
    39,    40,    40,    41,    42,    43,    43,    44,    45,    45,
    46,    46,    47,    47,    48,    48,    49,    49,    50,    50,
    50,    51,    52,    53,    54,    55,    55,    56,    56,    57,
    58,    59,    60,    61,    61,    61,    61,    61,    61,    61,
    61,    61,    61,    62,    62
};

static const short prb_yyr2[] = {     0,
     2,     1,     1,     1,     2,     3,     1,     1,     1,     1,
     3,     1,     1,     1,     1,     1,     2,     7,     1,     1,
     0,     2,     0,     2,     4,     1,     1,     3,     1,     1,
     1,     1,     4,     6,     2,     0,     3,     1,     1,     3,
     3,     3,     3,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1
};

static const short prb_yydefact[] = {     0,
     0,    44,    45,    46,    47,    48,    49,    50,    51,    52,
    53,     2,     4,     3,    16,     0,     0,     0,     0,     0,
     0,     0,     7,     8,     9,    10,    12,    13,    15,    14,
     5,     1,    17,    36,     0,    26,    29,    30,    31,    32,
     0,     0,     0,     0,     0,     6,    35,     0,     0,    41,
    40,    42,    54,    55,    11,    43,     0,    21,    19,    20,
     0,     0,    27,    32,    37,     0,    23,    33,    38,    39,
     0,     0,    25,     0,    22,     0,     0,     0,    28,    24,
    18,    34,     0,     0,     0
};

static const short prb_yydefgoto[] = {    83,
    12,    13,    22,    23,    24,    25,    26,    14,    15,    58,
    67,    77,    35,    62,    36,    37,    38,    39,    64,    47,
    71,    27,    28,    29,    30,    16,    55
};

static const short prb_yypact[] = {    13,
    -8,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    13,-32768,    23,-32768,     0,     1,    11,    12,    14,
    15,    19,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    23,-32768,-32768,     4,-32768,-32768,-32768,-32768,    37,
    17,    18,    20,   -17,    21,-32768,    44,     3,   -10,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,    41,    50,-32768,-32768,
    -6,     2,-32768,    45,-32768,    29,    53,-32768,-32768,-32768,
    28,     0,-32768,    30,-32768,    52,    54,    51,-32768,-32768,
-32768,-32768,    65,    66,-32768
};

static const short prb_yypgoto[] = {-32768,
-32768,    55,-32768,-32768,-32768,-32768,-32768,    56,    -5,-32768,
-32768,-32768,-32768,-32768,   -49,-32768,-32768,-32768,    57,-32768,
-32768,    22,    24,    -7,     5,-32768,-32768
};


#define	PRB_YYLAST		73


static const short prb_yytable[] = {    63,
    17,    18,    19,    34,    72,    41,    68,    48,    33,    53,
    54,    17,    18,    34,    73,    42,    43,    20,    44,    45,
    21,    61,    79,    69,    70,    46,    33,     1,     2,     3,
     4,     5,     6,     7,     8,     9,    10,    11,     2,     3,
     4,     5,     6,     7,     8,     9,    10,    11,    49,    50,
    51,    57,    52,    56,    65,    66,    74,    21,    76,    78,
    81,    61,    19,    82,    84,    85,    31,    32,    80,    59,
    75,    60,    40
};

static const short prb_yycheck[] = {    49,
     9,    10,    11,    14,     3,     5,    13,     4,    14,    27,
    28,     9,    10,    14,    13,     5,     5,    26,     5,     5,
    29,    32,    72,    30,    31,     7,    32,    15,    16,    17,
    18,    19,    20,    21,    22,    23,    24,    25,    16,    17,
    18,    19,    20,    21,    22,    23,    24,    25,    12,    33,
    33,     8,    33,    33,    14,     6,    12,    29,     6,    32,
     7,    32,    11,    13,     0,     0,    12,    12,    76,    48,
    66,    48,    16
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/freeware/share/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef PRB_YYSTACK_USE_ALLOCA
#ifdef alloca
#define PRB_YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define PRB_YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define PRB_YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define PRB_YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define PRB_YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* PRB_YYSTACK_USE_ALLOCA not defined */

#ifdef PRB_YYSTACK_USE_ALLOCA
#define PRB_YYSTACK_ALLOC alloca
#else
#define PRB_YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define prb_yyerrok		(prb_yyerrstatus = 0)
#define prb_yyclearin	(prb_yychar = PRB_YYEMPTY)
#define PRB_YYEMPTY		-2
#define PRB_YYEOF		0
#define PRB_YYACCEPT	goto prb_yyacceptlab
#define PRB_YYABORT 	goto prb_yyabortlab
#define PRB_YYERROR		goto prb_yyerrlab1
/* Like PRB_YYERROR except do call prb_yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of PRB_YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define PRB_YYFAIL		goto prb_yyerrlab
#define PRB_YYRECOVERING()  (!!prb_yyerrstatus)
#define PRB_YYBACKUP(token, value) \
do								\
  if (prb_yychar == PRB_YYEMPTY && prb_yylen == 1)				\
    { prb_yychar = (token), prb_yylval = (value);			\
      prb_yychar1 = PRB_YYTRANSLATE (prb_yychar);				\
      PRB_YYPOPSTACK;						\
      goto prb_yybackup;						\
    }								\
  else								\
    { prb_yyerror ("syntax error: cannot back up"); PRB_YYERROR; }	\
while (0)

#define PRB_YYTERROR	1
#define PRB_YYERRCODE	256

#ifndef PRB_YYPURE
#define PRB_YYLEX		prb_yylex()
#endif

#ifdef PRB_YYPURE
#ifdef PRB_YYLSP_NEEDED
#ifdef PRB_YYLEX_PARAM
#define PRB_YYLEX		prb_yylex(&prb_yylval, &prb_yylloc, PRB_YYLEX_PARAM)
#else
#define PRB_YYLEX		prb_yylex(&prb_yylval, &prb_yylloc)
#endif
#else /* not PRB_YYLSP_NEEDED */
#ifdef PRB_YYLEX_PARAM
#define PRB_YYLEX		prb_yylex(&prb_yylval, PRB_YYLEX_PARAM)
#else
#define PRB_YYLEX		prb_yylex(&prb_yylval)
#endif
#endif /* not PRB_YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef PRB_YYPURE

int	prb_yychar;			/*  the lookahead symbol		*/
PRB_YYSTYPE	prb_yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef PRB_YYLSP_NEEDED
PRB_YYLTYPE prb_yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int prb_yynerrs;			/*  number of parse errors so far       */
#endif  /* not PRB_YYPURE */

#if PRB_YYDEBUG != 0
int prb_yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  PRB_YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	PRB_YYINITDEPTH
#define PRB_YYINITDEPTH 200
#endif

/*  PRB_YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if PRB_YYMAXDEPTH == 0
#undef PRB_YYMAXDEPTH
#endif

#ifndef PRB_YYMAXDEPTH
#define PRB_YYMAXDEPTH 10000
#endif

/* Define __prb_yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __prb_yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__prb_yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__prb_yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/freeware/share/bison.simple"

/* The user can define PRB_YYPARSE_PARAM as the name of an argument to be passed
   into prb_yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef PRB_YYPARSE_PARAM
#ifdef __cplusplus
#define PRB_YYPARSE_PARAM_ARG void *PRB_YYPARSE_PARAM
#define PRB_YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define PRB_YYPARSE_PARAM_ARG PRB_YYPARSE_PARAM
#define PRB_YYPARSE_PARAM_DECL void *PRB_YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not PRB_YYPARSE_PARAM */
#define PRB_YYPARSE_PARAM_ARG
#define PRB_YYPARSE_PARAM_DECL
#endif /* not PRB_YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef PRB_YYPARSE_PARAM
int prb_yyparse (void *);
#else
int prb_yyparse (void);
#endif
#endif

int
prb_yyparse(PRB_YYPARSE_PARAM_ARG)
     PRB_YYPARSE_PARAM_DECL
{
  register int prb_yystate;
  register int prb_yyn;
  register short *prb_yyssp;
  register PRB_YYSTYPE *prb_yyvsp;
  int prb_yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int prb_yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	prb_yyssa[PRB_YYINITDEPTH];	/*  the state stack			*/
  PRB_YYSTYPE prb_yyvsa[PRB_YYINITDEPTH];	/*  the semantic value stack		*/

  short *prb_yyss = prb_yyssa;		/*  refer to the stacks thru separate pointers */
  PRB_YYSTYPE *prb_yyvs = prb_yyvsa;	/*  to allow prb_yyoverflow to reallocate them elsewhere */

#ifdef PRB_YYLSP_NEEDED
  PRB_YYLTYPE prb_yylsa[PRB_YYINITDEPTH];	/*  the location stack			*/
  PRB_YYLTYPE *prb_yyls = prb_yylsa;
  PRB_YYLTYPE *prb_yylsp;

#define PRB_YYPOPSTACK   (prb_yyvsp--, prb_yyssp--, prb_yylsp--)
#else
#define PRB_YYPOPSTACK   (prb_yyvsp--, prb_yyssp--)
#endif

  int prb_yystacksize = PRB_YYINITDEPTH;
  int prb_yyfree_stacks = 0;

#ifdef PRB_YYPURE
  int prb_yychar;
  PRB_YYSTYPE prb_yylval;
  int prb_yynerrs;
#ifdef PRB_YYLSP_NEEDED
  PRB_YYLTYPE prb_yylloc;
#endif
#endif

  PRB_YYSTYPE prb_yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int prb_yylen;

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  prb_yystate = 0;
  prb_yyerrstatus = 0;
  prb_yynerrs = 0;
  prb_yychar = PRB_YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  prb_yyssp = prb_yyss - 1;
  prb_yyvsp = prb_yyvs;
#ifdef PRB_YYLSP_NEEDED
  prb_yylsp = prb_yyls;
#endif

/* Push a new state, which is found in  prb_yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
prb_yynewstate:

  *++prb_yyssp = prb_yystate;

  if (prb_yyssp >= prb_yyss + prb_yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      PRB_YYSTYPE *prb_yyvs1 = prb_yyvs;
      short *prb_yyss1 = prb_yyss;
#ifdef PRB_YYLSP_NEEDED
      PRB_YYLTYPE *prb_yyls1 = prb_yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = prb_yyssp - prb_yyss + 1;

#ifdef prb_yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef PRB_YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if prb_yyoverflow is a macro.  */
      prb_yyoverflow("parser stack overflow",
		 &prb_yyss1, size * sizeof (*prb_yyssp),
		 &prb_yyvs1, size * sizeof (*prb_yyvsp),
		 &prb_yyls1, size * sizeof (*prb_yylsp),
		 &prb_yystacksize);
#else
      prb_yyoverflow("parser stack overflow",
		 &prb_yyss1, size * sizeof (*prb_yyssp),
		 &prb_yyvs1, size * sizeof (*prb_yyvsp),
		 &prb_yystacksize);
#endif

      prb_yyss = prb_yyss1; prb_yyvs = prb_yyvs1;
#ifdef PRB_YYLSP_NEEDED
      prb_yyls = prb_yyls1;
#endif
#else /* no prb_yyoverflow */
      /* Extend the stack our own way.  */
      if (prb_yystacksize >= PRB_YYMAXDEPTH)
	{
	  prb_yyerror("parser stack overflow");
	  if (prb_yyfree_stacks)
	    {
	      free (prb_yyss);
	      free (prb_yyvs);
#ifdef PRB_YYLSP_NEEDED
	      free (prb_yyls);
#endif
	    }
	  return 2;
	}
      prb_yystacksize *= 2;
      if (prb_yystacksize > PRB_YYMAXDEPTH)
	prb_yystacksize = PRB_YYMAXDEPTH;
#ifndef PRB_YYSTACK_USE_ALLOCA
      prb_yyfree_stacks = 1;
#endif
      prb_yyss = (short *) PRB_YYSTACK_ALLOC (prb_yystacksize * sizeof (*prb_yyssp));
      __prb_yy_memcpy ((char *)prb_yyss, (char *)prb_yyss1,
		   size * (unsigned int) sizeof (*prb_yyssp));
      prb_yyvs = (PRB_YYSTYPE *) PRB_YYSTACK_ALLOC (prb_yystacksize * sizeof (*prb_yyvsp));
      __prb_yy_memcpy ((char *)prb_yyvs, (char *)prb_yyvs1,
		   size * (unsigned int) sizeof (*prb_yyvsp));
#ifdef PRB_YYLSP_NEEDED
      prb_yyls = (PRB_YYLTYPE *) PRB_YYSTACK_ALLOC (prb_yystacksize * sizeof (*prb_yylsp));
      __prb_yy_memcpy ((char *)prb_yyls, (char *)prb_yyls1,
		   size * (unsigned int) sizeof (*prb_yylsp));
#endif
#endif /* no prb_yyoverflow */

      prb_yyssp = prb_yyss + size - 1;
      prb_yyvsp = prb_yyvs + size - 1;
#ifdef PRB_YYLSP_NEEDED
      prb_yylsp = prb_yyls + size - 1;
#endif

#if PRB_YYDEBUG != 0
      if (prb_yydebug)
	fprintf(stderr, "Stack size increased to %d\n", prb_yystacksize);
#endif

      if (prb_yyssp >= prb_yyss + prb_yystacksize - 1)
	PRB_YYABORT;
    }

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    fprintf(stderr, "Entering state %d\n", prb_yystate);
#endif

  goto prb_yybackup;
 prb_yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* prb_yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  prb_yyn = prb_yypact[prb_yystate];
  if (prb_yyn == PRB_YYFLAG)
    goto prb_yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* prb_yychar is either PRB_YYEMPTY or PRB_YYEOF
     or a valid token in external form.  */

  if (prb_yychar == PRB_YYEMPTY)
    {
#if PRB_YYDEBUG != 0
      if (prb_yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      prb_yychar = PRB_YYLEX;
    }

  /* Convert token to internal form (in prb_yychar1) for indexing tables with */

  if (prb_yychar <= 0)		/* This means end of input. */
    {
      prb_yychar1 = 0;
      prb_yychar = PRB_YYEOF;		/* Don't call PRB_YYLEX any more */

#if PRB_YYDEBUG != 0
      if (prb_yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      prb_yychar1 = PRB_YYTRANSLATE(prb_yychar);

#if PRB_YYDEBUG != 0
      if (prb_yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", prb_yychar, prb_yytname[prb_yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef PRB_YYPRINT
	  PRB_YYPRINT (stderr, prb_yychar, prb_yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  prb_yyn += prb_yychar1;
  if (prb_yyn < 0 || prb_yyn > PRB_YYLAST || prb_yycheck[prb_yyn] != prb_yychar1)
    goto prb_yydefault;

  prb_yyn = prb_yytable[prb_yyn];

  /* prb_yyn is what to do for this token type in this state.
     Negative => reduce, -prb_yyn is rule number.
     Positive => shift, prb_yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (prb_yyn < 0)
    {
      if (prb_yyn == PRB_YYFLAG)
	goto prb_yyerrlab;
      prb_yyn = -prb_yyn;
      goto prb_yyreduce;
    }
  else if (prb_yyn == 0)
    goto prb_yyerrlab;

  if (prb_yyn == PRB_YYFINAL)
    PRB_YYACCEPT;

  /* Shift the lookahead token.  */

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", prb_yychar, prb_yytname[prb_yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (prb_yychar != PRB_YYEOF)
    prb_yychar = PRB_YYEMPTY;

  *++prb_yyvsp = prb_yylval;
#ifdef PRB_YYLSP_NEEDED
  *++prb_yylsp = prb_yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (prb_yyerrstatus) prb_yyerrstatus--;

  prb_yystate = prb_yyn;
  goto prb_yynewstate;

/* Do the default action for the current state.  */
prb_yydefault:

  prb_yyn = prb_yydefact[prb_yystate];
  if (prb_yyn == 0)
    goto prb_yyerrlab;

/* Do a reduction.  prb_yyn is the number of a rule to reduce with.  */
prb_yyreduce:
  prb_yylen = prb_yyr2[prb_yyn];
  if (prb_yylen > 0)
    prb_yyval = prb_yyvsp[1-prb_yylen]; /* implement default value of the action */

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       prb_yyn, prb_yyrline[prb_yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = prb_yyprhs[prb_yyn]; prb_yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", prb_yytname[prb_yyrhs[i]]);
      fprintf (stderr, " -> %s\n", prb_yytname[prb_yyr1[prb_yyn]]);
    }
#endif


  switch (prb_yyn) {

case 11:
#line 274 "prb_parser.yac"
{ DEFAULT_PRB_REGS = prb_yyvsp[0].immd; ;
    break;}
case 12:
#line 279 "prb_parser.yac"
{ 
	     if ( (prb_yyvsp[0].fvalu>=0) && (prb_yyvsp[0].fvalu<=1) )
		 DEFAULT_PRB_PROB = prb_yyvsp[0].fvalu;
	     else 
		 ERR_FLG += prb_error (201, NULL, prb_yyvsp[0].fvalu, ' ', PRB_LINNUM);
	   ;
    break;}
case 13:
#line 286 "prb_parser.yac"
{ 
	     if ( (prb_yyvsp[0].fvalu>=0) && (prb_yyvsp[0].fvalu<=1) )
		 DEFAULT_PRB_PROB = 1 - prb_yyvsp[0].fvalu;
	     else 
		 ERR_FLG += prb_error (201, NULL, prb_yyvsp[0].fvalu, ' ', PRB_LINNUM);
	   ;
    break;}
case 14:
#line 297 "prb_parser.yac"
{
	     if (prb_yyvsp[0].fvalu>=0)
		 DEFAULT_PRB_DENS = prb_yyvsp[0].fvalu;
	     else 
		 ERR_FLG += prb_error (201, NULL, prb_yyvsp[0].fvalu, ' ', PRB_LINNUM);
	   ;
    break;}
case 15:
#line 307 "prb_parser.yac"
{
	     if ( (prb_yyvsp[0].fvalu>=0) && (prb_yyvsp[0].fvalu<=1) )
		 DEFAULT_PRB_DISC = prb_yyvsp[0].fvalu;
	     else 
		 ERR_FLG += prb_error (201, NULL, prb_yyvsp[0].fvalu, ' ', PRB_LINNUM);
           ;
    break;}
case 18:
#line 326 "prb_parser.yac"
{
	     char *tmpname;
	     float probval;
	     float densval;
	     float discval;
	     char mode = prb_yyvsp[-6].immd;
	     char type = DEF_PRB_UNKNOWN;

	     if (prb_yyvsp[-5].immd == DEF_PRB_NAMERROR)
	       {
		/* error to be treated => flush stack */
	       flushtab();
	       }
	     else
	       if (prb_yyvsp[-5].immd == DEF_PRB_NAMEOK)
	         {
		/* first initialize parameters */

	         probval = prb_yyvsp[-3].fvalu;

		 if (prb_yyvsp[-2].ffval.flag == DEF_PRB_NODENS)
		   densval = DEFAULT_PRB_DENS;
		else
		   densval = prb_yyvsp[-2].ffval.fvalu;

		 if (prb_yyvsp[-1].ffval.flag == DEF_PRB_NODISC)
		   discval = DEFAULT_PRB_DISC;
		else
		   discval = prb_yyvsp[-1].ffval.fvalu;

		/* next use stack to add good struct */

		while ( poptab(&tmpname,DEF_PRB_NOERROR) == 0)
                  {
		  PRB_EVTPNT = prb_addprbevt(	PRB_EVTPNT,
						tmpname,
						discval,
						densval,
						probval,
						mode,
						type);
                  }
						
		/* flush tab to restart with good bases */
		flushtab();
	      }
	   ;
    break;}
case 19:
#line 377 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 20:
#line 379 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 21:
#line 384 "prb_parser.yac"
{ prb_yyval.ffval.flag = DEF_PRB_NODENS; ;
    break;}
case 22:
#line 386 "prb_parser.yac"
{
	    prb_yyval.ffval.flag = DEF_PRB_OKDENS;
	    prb_yyval.ffval.fvalu = prb_yyvsp[0].fvalu;
	  ;
    break;}
case 23:
#line 394 "prb_parser.yac"
{ prb_yyval.ffval.flag = DEF_PRB_NODISC; ;
    break;}
case 24:
#line 396 "prb_parser.yac"
{
	    prb_yyval.ffval.flag = DEF_PRB_OKDISC;
	    prb_yyval.ffval.fvalu = prb_yyvsp[0].fvalu;
	  ;
    break;}
case 25:
#line 408 "prb_parser.yac"
{
	     if (sethtitem (PT_HASH, prb_yyvsp[-3].text, 0) == 1)
	     {
		ERR_FLG += prb_error (202, prb_yyvsp[-3].text, 0.0, ' ', PRB_LINNUM);
		prb_yyval.immd = DEF_PRB_NAMERROR;
	     }
	     else
		prb_yyval.immd = prb_yyvsp[-1].immd;
	   ;
    break;}
case 26:
#line 418 "prb_parser.yac"
{ prb_yyval.immd = prb_yyvsp[0].immd; ;
    break;}
case 27:
#line 423 "prb_parser.yac"
{  prb_yyval.immd = prb_yyvsp[0].immd; ;
    break;}
case 28:
#line 427 "prb_parser.yac"
{ 
	     if ((prb_yyvsp[0].immd == DEF_PRB_NAMEOK) && (prb_yyvsp[-2].immd == DEF_PRB_NAMEOK))
		prb_yyval.immd = DEF_PRB_NAMEOK;
	     else
		prb_yyval.immd = DEF_PRB_NAMERROR;
	   ;
    break;}
case 29:
#line 437 "prb_parser.yac"
{ prb_yyval.immd = prb_yyvsp[0].immd; ;
    break;}
case 30:
#line 439 "prb_parser.yac"
{ prb_yyval.immd = prb_yyvsp[0].immd; ;
    break;}
case 31:
#line 441 "prb_parser.yac"
{ prb_yyval.immd = prb_yyvsp[0].immd; ;
    break;}
case 32:
#line 446 "prb_parser.yac"
{
 	     if (sethtitem (PT_HASH, prb_yyvsp[0].text, 0) == 1)
	     {
		ERR_FLG += prb_error (202, prb_yyvsp[0].text, 0.0, ' ', PRB_LINNUM);
		prb_yyval.immd = DEF_PRB_NAMERROR;
	     }
	     else
		if (pshtab (prb_yyvsp[0].text)) 
		{
		   prb_yyval.immd = DEF_PRB_NAMERROR;
		   ERR_FLG++;
		}
		else
		   prb_yyval.immd = DEF_PRB_NAMEOK;
	   ;
    break;}
case 33:
#line 468 "prb_parser.yac"
{
	     char extname [100];
	     char *tmp;

	     sprintf (extname,"%s %d",prb_yyvsp[-3].text,prb_yyvsp[-1].valu);
	     tmp = namealloc (extname);

	     if (sethtitem (PT_HASH, tmp, 0) == 1)
	     {
		ERR_FLG += prb_error (202, tmp, 0.0, ' ', PRB_LINNUM);
		prb_yyval.immd = DEF_PRB_NAMERROR;
	     }
	     else
	     {
		if (pshtab (tmp))
		{
		  prb_yyval.immd = DEF_PRB_NAMERROR;
		  ERR_FLG++;
		}
		else
		  prb_yyval.immd = DEF_PRB_NAMEOK;
	     }
	   ;
    break;}
case 34:
#line 500 "prb_parser.yac"
{
	     char extname [100];
	     char *tmp;
	     int  i;
	     short inc = 1;
	     prb_yyval.immd = DEF_PRB_NAMEOK;

	     if ( ((prb_yyvsp[-2].immd == DEF_PRB_TO    ) && (prb_yyvsp[-3].valu > prb_yyvsp[-1].valu)) ||
		  ((prb_yyvsp[-2].immd == DEF_PRB_DOWNTO) && (prb_yyvsp[-3].valu < prb_yyvsp[-1].valu)) )
	     {
		ERR_FLG += prb_error (203, prb_yyvsp[-5].text, 0.0, ' ', PRB_LINNUM);
		prb_yyval.immd = DEF_PRB_NAMERROR;
	     }
	     else
	     {
		if (prb_yyvsp[-3].valu >= prb_yyvsp[-1].valu)
		   inc = -1;
		for (i=prb_yyvsp[-3].valu ; i!=prb_yyvsp[-1].valu+inc ; i+=inc)
		{
		   sprintf (extname,"%s %d",prb_yyvsp[-5].text,i);
		   tmp = namealloc (extname);
		   if (sethtitem (PT_HASH, tmp, 0) == 1)
		   {
			ERR_FLG += prb_error (202, tmp, 0.0, ' ', PRB_LINNUM);
			prb_yyval.immd = DEF_PRB_NAMERROR;
		   }
		   else
			if (pshtab (tmp))
			{
			  prb_yyval.immd = DEF_PRB_NAMERROR;
			  ERR_FLG++;
			}
		} /*for*/
	     } /*else*/
	   ;
    break;}
case 35:
#line 540 "prb_parser.yac"
{
	        char name[256];
	        int  i;

	        strcpy (name, prb_yyvsp[-1].text);
	        for (i=0; i<PRB_NAM_IDX ; i++)
	         {
	         strcat (name, ".");
	         strcat (name, PRB_NAM_TAB [i]);
	         }
	        PRB_NAM_IDX = 0;
	        prb_yyval.text = namealloc (name);
	        ;
    break;}
case 37:
#line 560 "prb_parser.yac"
{ prb_pshnam (prb_yyvsp[0].text); ;
    break;}
case 38:
#line 565 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_TO; ;
    break;}
case 39:
#line 567 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_DOWNTO; ;
    break;}
case 40:
#line 576 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 41:
#line 581 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 42:
#line 586 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 43:
#line 591 "prb_parser.yac"
{ prb_yyval.fvalu = prb_yyvsp[0].fvalu; ;
    break;}
case 44:
#line 596 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_IN; ;
    break;}
case 45:
#line 598 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_OUT; ;
    break;}
case 46:
#line 600 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_INOUT; ;
    break;}
case 47:
#line 602 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_TRISTATE; ;
    break;}
case 48:
#line 604 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_TRANSC; ;
    break;}
case 49:
#line 606 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_PORT; ;
    break;}
case 50:
#line 608 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_SIGNAL; ;
    break;}
case 51:
#line 610 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_ASSERT; ;
    break;}
case 52:
#line 612 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_REGISTER; ;
    break;}
case 53:
#line 614 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_CLOCK; ;
    break;}
case 54:
#line 619 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_SCAN ;;
    break;}
case 55:
#line 621 "prb_parser.yac"
{ prb_yyval.immd = DEF_PRB_UNSCAN;;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/freeware/share/bison.simple"

  prb_yyvsp -= prb_yylen;
  prb_yyssp -= prb_yylen;
#ifdef PRB_YYLSP_NEEDED
  prb_yylsp -= prb_yylen;
#endif

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    {
      short *ssp1 = prb_yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != prb_yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++prb_yyvsp = prb_yyval;

#ifdef PRB_YYLSP_NEEDED
  prb_yylsp++;
  if (prb_yylen == 0)
    {
      prb_yylsp->first_line = prb_yylloc.first_line;
      prb_yylsp->first_column = prb_yylloc.first_column;
      prb_yylsp->last_line = (prb_yylsp-1)->last_line;
      prb_yylsp->last_column = (prb_yylsp-1)->last_column;
      prb_yylsp->text = 0;
    }
  else
    {
      prb_yylsp->last_line = (prb_yylsp+prb_yylen-1)->last_line;
      prb_yylsp->last_column = (prb_yylsp+prb_yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  prb_yyn = prb_yyr1[prb_yyn];

  prb_yystate = prb_yypgoto[prb_yyn - PRB_YYNTBASE] + *prb_yyssp;
  if (prb_yystate >= 0 && prb_yystate <= PRB_YYLAST && prb_yycheck[prb_yystate] == *prb_yyssp)
    prb_yystate = prb_yytable[prb_yystate];
  else
    prb_yystate = prb_yydefgoto[prb_yyn - PRB_YYNTBASE];

  goto prb_yynewstate;

prb_yyerrlab:   /* here on detecting error */

  if (! prb_yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++prb_yynerrs;

#ifdef PRB_YYERROR_VERBOSE
      prb_yyn = prb_yypact[prb_yystate];

      if (prb_yyn > PRB_YYFLAG && prb_yyn < PRB_YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -prb_yyn if nec to avoid negative indexes in prb_yycheck.  */
	  for (x = (prb_yyn < 0 ? -prb_yyn : 0);
	       x < (sizeof(prb_yytname) / sizeof(char *)); x++)
	    if (prb_yycheck[x + prb_yyn] == x)
	      size += strlen(prb_yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (prb_yyn < 0 ? -prb_yyn : 0);
		       x < (sizeof(prb_yytname) / sizeof(char *)); x++)
		    if (prb_yycheck[x + prb_yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, prb_yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      prb_yyerror(msg);
	      free(msg);
	    }
	  else
	    prb_yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* PRB_YYERROR_VERBOSE */
	prb_yyerror("parse error");
    }

  goto prb_yyerrlab1;
prb_yyerrlab1:   /* here on error raised explicitly by an action */

  if (prb_yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (prb_yychar == PRB_YYEOF)
	PRB_YYABORT;

#if PRB_YYDEBUG != 0
      if (prb_yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", prb_yychar, prb_yytname[prb_yychar1]);
#endif

      prb_yychar = PRB_YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  prb_yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto prb_yyerrhandle;

prb_yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  prb_yyn = prb_yydefact[prb_yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (prb_yyn) goto prb_yydefault;
#endif

prb_yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (prb_yyssp == prb_yyss) PRB_YYABORT;
  prb_yyvsp--;
  prb_yystate = *--prb_yyssp;
#ifdef PRB_YYLSP_NEEDED
  prb_yylsp--;
#endif

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    {
      short *ssp1 = prb_yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != prb_yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

prb_yyerrhandle:

  prb_yyn = prb_yypact[prb_yystate];
  if (prb_yyn == PRB_YYFLAG)
    goto prb_yyerrdefault;

  prb_yyn += PRB_YYTERROR;
  if (prb_yyn < 0 || prb_yyn > PRB_YYLAST || prb_yycheck[prb_yyn] != PRB_YYTERROR)
    goto prb_yyerrdefault;

  prb_yyn = prb_yytable[prb_yyn];
  if (prb_yyn < 0)
    {
      if (prb_yyn == PRB_YYFLAG)
	goto prb_yyerrpop;
      prb_yyn = -prb_yyn;
      goto prb_yyreduce;
    }
  else if (prb_yyn == 0)
    goto prb_yyerrpop;

  if (prb_yyn == PRB_YYFINAL)
    PRB_YYACCEPT;

#if PRB_YYDEBUG != 0
  if (prb_yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++prb_yyvsp = prb_yylval;
#ifdef PRB_YYLSP_NEEDED
  *++prb_yylsp = prb_yylloc;
#endif

  prb_yystate = prb_yyn;
  goto prb_yynewstate;

 prb_yyacceptlab:
  /* PRB_YYACCEPT comes here.  */
  if (prb_yyfree_stacks)
    {
      free (prb_yyss);
      free (prb_yyvs);
#ifdef PRB_YYLSP_NEEDED
      free (prb_yyls);
#endif
    }
  return 0;

 prb_yyabortlab:
  /* PRB_YYABORT comes here.  */
  if (prb_yyfree_stacks)
    {
      free (prb_yyss);
      free (prb_yyvs);
#ifdef PRB_YYLSP_NEEDED
      free (prb_yyls);
#endif
    }
  return 1;
}
#line 623 "prb_parser.yac"

